JceAsymmetricValueDecryptorGenerator (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.cert.crmf.jcajce

## Class JceAsymmetricValueDecryptorGenerator

- java.lang.Object
- - org.bouncycastle.cert.crmf.jcajce.JceAsymmetricValueDecryptorGenerator

- All Implemented Interfaces:
    ValueDecryptorGenerator

      public class JceAsymmetricValueDecryptorGenerator
      extends java.lang.Object
      implements ValueDecryptorGenerator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JceAsymmetricValueDecryptorGenerator(java.security.PrivateKey recipientKey)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `InputDecryptor` | `getValueDecryptor(org.bouncycastle.asn1.x509.AlgorithmIdentifier keyEncryptionAlgorithm, org.bouncycastle.asn1.x509.AlgorithmIdentifier contentEncryptionAlgorithm, byte[] encryptedContentEncryptionKey)`
    `JceAsymmetricValueDecryptorGenerator` | `setProvider(java.security.Provider provider)`
    `JceAsymmetricValueDecryptorGenerator` | `setProvider(java.lang.String providerName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JceAsymmetricValueDecryptorGenerator

          public JceAsymmetricValueDecryptorGenerator(java.security.PrivateKey recipientKey)

  - ### Method Detail

    - #### setProvider

          public JceAsymmetricValueDecryptorGenerator setProvider(java.security.Provider provider)

    - #### setProvider

          public JceAsymmetricValueDecryptorGenerator setProvider(java.lang.String providerName)

    - #### getValueDecryptor

          public InputDecryptor getValueDecryptor(org.bouncycastle.asn1.x509.AlgorithmIdentifier keyEncryptionAlgorithm,
                                         org.bouncycastle.asn1.x509.AlgorithmIdentifier contentEncryptionAlgorithm,
                                         byte[] encryptedContentEncryptionKey)
                                           throws CRMFException

      Specified by:
        `getValueDecryptor` in interface `ValueDecryptorGenerator`
      Throws:
        `CRMFException`